using SqlSugar;

namespace OpenAuth.Repository.Domain.GoView;

/// <summary>
/// 项目模型类
/// </summary>
[SugarTable("t_goview_project")]
public class GoviewProject
{
    [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
    public string Id { get; set; }

    /// <summary>
    /// 项目名称
    /// </summary>
    [SugarColumn(ColumnName = "project_name")]
    public string ProjectName { get; set; }

    /// <summary>
    /// 项目状态  -1 1
    /// </summary>
    [SugarColumn(ColumnName = "state")]
    public int? State { get; set; }

    [SugarColumn(IsNullable = true, ColumnName = "create_time")]
    public string CreateTime { get; set; }

    /// <summary>
    /// 创建人id
    /// </summary>
    [SugarColumn(ColumnName = "create_user_id")]
    public string CreateUserId { get; set; }

    /// <summary>
    ///  -1-未删除 1-删除
    /// </summary>
    [SugarColumn(ColumnName = "is_delete")]
    public int? IsDelete { get; set; }
    [SugarColumn(ColumnName = "index_image")]
    public string IndexImage { get; set; }
    [SugarColumn(ColumnName = "remarks")]
    public string Remarks { get; set; }
}